> For the complete documentation index, see [llms.txt](https://docs.datajet-app.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.datajet-app.com/liquid/filters/content.md).

# content

{% hint style="info" %}
Deprecated. Use [storage\_read](/liquid/tags/storage_read.md) tag instead.
{% endhint %}

Use this filter to get stringified content of file saved in store's DataJet storage. Useful with `file` `parse_csv` `ftp` filters. Used together it can transform file into array of objects.

When an error reading the file stored in storaged is encountered - an error object is returned instead of stringified file content e.g.

```json
{
    "error": true,
    "message": "The specified key does not exist."
}
```

To read stored file content:

```liquid
{% assign file_content = "file.csv" | content %}

{% if file_content.error %}
  {% comment %}Error while reading file from storage{% endcomment %}
  {{ file_content.message | log }}
{% else %}
  {% comment %}Proceed with processing the file. Content saved in file_content{% endcomment %}
  {{ file_content | log }}
{% endif %}
```

See more in [ftp filter](/liquid/filters/ftp.md) and[ file filter](/liquid/filters/file.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datajet-app.com/liquid/filters/content.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
